pskc_set_key_data_secret(3)

NAME
pskc_set_key_data_secret - API function

SYNOPSIS
#include <pskc.h>

int pskc_set_key_data_secret(pskc_key_t * key, const char * data, size_t len);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

const char * data
    the byte array with the key to set, of len length.

size_t len
    length of data byte array.

DESCRIPTION
Set the PSKC KeyPackage Key Data Secret value. The data data is copied into the key handle, so you may modify or deallocate the data pointer after calling this function. The data is base64 encoded by this function. On errors, the old secret is not modified.

RETURNS
PSKC_BASE64_ERROR on base64 encoding errors, PSKC_MALLOC_ERROR on memory allocation errors, or PSKC_OK on success.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.